Package com.xebialabs.xlrelease.api.v1

## Interface ManagedApplicationApi

- All Superinterfaces:
    `ApiService`

      @Path("/api/v1/managed-application")
      @Consumes("application/json")
      @Produces("application/json")
      public interface ManagedApplicationApi
      extends ApiService

- - ### Field Summary

    - ### Fields inherited from interface com.xebialabs.xlrelease.api.ApiService

      `DEFAULT_RESULTS_PER_PAGE, DEFAULT_RESULTS_PER_PAGE_STRING, DEPTH, ORDER_BY, PAGE, PAGE_IS_OFFSET, RESULTS_PER_PAGE, ROLE_IDS_DATA`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Default Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `ManagedApplicationView` | `addManagedApplication​(ManagedApplicationView managedApplication)` | Saves a new managed application.
    `void` | `createManagedApplicationsFromWebhookSource​(java.lang.String webhookSourceId)` | Creates managed applications from external deployments webhook source
    `void` | `deleteManagedApplication​(java.lang.String managedApplicationId)` | Deletes a managed application by id.
    `ManagedApplicationView` | `getManagedApplication​(java.lang.String managedApplicationId)` | Gets managed application by its id.
    `ManagedApplicationPage` | `getManagedApplications​(java.lang.String folderId, java.lang.Long page, java.lang.Long resultsPerPage, java.lang.String condition)` | Gets all managed applications defined by pagination data.
    `default java.lang.String` | `serviceName()` |
    `ManagedApplicationView` | `updateManagedApplication​(ManagedApplicationView managedApplication)` | Updates an existing managed application.

- - ### Method Detail

    - #### serviceName

          default java.lang.String serviceName()

      Specified by:
        `serviceName` in interface `ApiService`

    - #### getManagedApplications

          @GET
          ManagedApplicationPage getManagedApplications​(@QueryParam("folderId")
                                                        java.lang.String folderId,
                                                        @DefaultValue("0") @QueryParam("page")
                                                        java.lang.Long page,
                                                        @DefaultValue("100") @QueryParam("resultsPerPage")
                                                        java.lang.Long resultsPerPage,
                                                        @DefaultValue("") @QueryParam("condition")
                                                        java.lang.String condition)

      Gets all managed applications defined by pagination data.
      Parameters:
        `folderId` - Folder ID under which the managed applications are set
        `page` - The number of the page
        `resultsPerPage` - The number of results per page
        `condition` - Filtering condition
      Returns:
        All managed application for given folder

    - #### getManagedApplication

          @GET
          @Path("/{managedApplicationId}")
          ManagedApplicationView getManagedApplication​(@PathParam("managedApplicationId")
                                                       java.lang.String managedApplicationId)

      Gets managed application by its id.
      Parameters:
        `managedApplicationId` - Managed application id
      Returns:
        Managed application (if found) formatted to a view

    - #### addManagedApplication

          @POST
          ManagedApplicationView addManagedApplication​(ManagedApplicationView managedApplication)

      Saves a new managed application.
      Parameters:
        `managedApplication` - Managed application model
      Returns:
        Created instance of managed application formatted to a view

    - #### updateManagedApplication

          @PUT
          ManagedApplicationView updateManagedApplication​(ManagedApplicationView managedApplication)

      Updates an existing managed application.
      Parameters:
        `managedApplication` - Managed application model to update
      Returns:
        Updated managed application model

    - #### deleteManagedApplication

          @DELETE
          @Path("/{managedApplicationId}")
          void deleteManagedApplication​(@PathParam("managedApplicationId")
                                        java.lang.String managedApplicationId)

      Deletes a managed application by id.
      Parameters:
        `managedApplicationId` - The managed application to delete

    - #### createManagedApplicationsFromWebhookSource

          @POST
          @Path("/create-from-webhook-source/{webhookSourceId:.*/Configuration[^/]*}")
          void createManagedApplicationsFromWebhookSource​(@PathParam("webhookSourceId")
                                                          java.lang.String webhookSourceId)

      Creates managed applications from external deployments webhook source
      Parameters:
        `webhookSourceId` - The webhook source id of created webhook source